<div style="text-align:center">
    <div class="popup">
        <span (click)="popDown()" [ngStyle]="popColor" class="popuptext" id="notifPopup"> {{notifMsg}}</span>
    </div>
</div>


<div *ngIf="!userData" style="text-align:center;" >
    <form class="form-group" [formGroup]="form" (ngSubmit)="submitForm()">
        <h2> <b> {{title}} </b> </h2>

        <label class="sr-only" for="inlineFormInputName2">Name</label>

        <div class="input-group mb-2"  style="width: 100%">
            <div class="input-group-prepend">
                <span class="input-group-text" id="usernameField">
                    <i class="fa fa-user" aria-hidden="true"> </i>
                </span>
            </div>
            <input  aria-describedby="usernameField"
                    type="text"
                    class="form-control"
                    formControlName="username"
                    placeholder="Username"
                    alt="Username input">
        </div>

        <label class="sr-only" for="inlineFormInputGroupUsername2">Username</label>

        <div class="input-group mb-2" style="width: 100%">
            <div class="input-group-prepend">
                <span class="input-group-text" id="passwordField">
                    <i class="fa fa-lock" aria-hidden="true"> </i>
                </span>
            </div>
            <input  aria-describedby="passwordField"
                    type="password"
                    class="form-control"
                    formControlName="password"
                    placeholder="Password"
                    alt="Password input">
        </div>

        <button type="submit" class="btn btn-dark mb-2 btn-block">Login</button>

    </form>
    <br>
    <!-- <form action="https://pedago.univ-avignon.fr/~fredouil/register_jeu.php" method="post">
        <h2 style="text-align:left"> Register </h2>
        <table>
            <tr>  <td>Username : </td><td><input style="border:2px solid #1da1f2;background-color:#FCFEE8;"  type="text" name="login" /></td></tr>
            <tr>  <td>Password : </td><td><input style="border:2px solid #1da1f2;background-color:#FCFEE8;"  type="password" name="pass" /></td></tr>
            <tr>  <td><br> </td></tr>
            <tr>  <td>First Name : </td><td><input style="border:2px solid #1da1f2;background-color:#FCFEE8;"  type="text" name="prenom"  /></td></tr>
            <tr>  <td>Name : </td><td><input style="border:2px solid #1da1f2;background-color:#FCFEE8;"  type="text" name="nom" /></td></tr>
            <tr>  <td>Date of birth (YYYY-MM-DD): </td>

            <td>
              <input style="border:2px solid #1da1f2;background-color:#FCFEE8;"  type="date" id="datepicker" name="date" />
            </td>
            </tr>
        </table>
        <input style="float:left;border:2px solid #1da1f2;"  type="submit" value="Inscription" class="btn btn-dark mb-2" />
    </form> -->
</div>



<div *ngIf="userData" id="navbar" class="mw-100" style="max-height: 100%; height: 100vh">

    <!--Navbar-->
    <mdb-navbar SideClass="navbar navbar-expand-lg navbar-dark cyan" [containerInside]="false"  >

        <!-- Navbar brand -->
        <mdb-navbar-brand>
            <a  href="#" alt="Home Button">
                <mdb-icon fas icon="home fa-2x black-text">  </mdb-icon>
                <h2> {{title}} </h2> 
            </a>  
        </mdb-navbar-brand>

        <!-- Collapsible content -->
        <links>

            <!-- Links -->
            <ul class="navbar-nav ml-auto">


                <li class="nav-item">
                    <a class="nav-link waves-light" routerLink="game" mdbWavesEffect style="color: #444444" alt="P5JsTest Button">
                        <mdb-icon fas icon="gamepad black-text" ></mdb-icon> <b> P5/Matter.ts Test </b>
                    </a>
                </li>

                <li class="nav-item"> <!--<li class="nav-item active"> -->
                    <a class="nav-link waves-light" routerLink="quizz" mdbWavesEffect style="color: #444444" alt="Quizz Button">
                        <mdb-icon fas icon="question black-text"> </mdb-icon> <b> Quizz </b> <span class="sr-only">(current)</span>
                    </a>
                </li>



                <!-- Dropdown -->
                <li class="nav-item dropdown" dropdown >
                    <a dropdownToggle mdbWavesEffect type="button" class="nav-link dropdown-toggle waves-light text" mdbWavesEffect style="color: #444444" alt="Dropdown User Button">
                        <mdb-icon fas icon="user black-text"></mdb-icon> <b> Profile </b> <span class="caret" ></span>
                    </a>
                    <div *dropdownMenu class="dropdown-menu dropdown-menu-right dropdown dropdown-primary" role="menu">

                        <a class="dropdown-item waves-light"  [routerLink]="['/user',userData.id,1]" mdbWavesEffect href="#" alt="User Profile Button">
                            <mdb-icon fas icon="user black-text"></mdb-icon> My account
                        </a>

                        <a class=" dropdown-item waves-dark"  (click)="logout()" mdbWavesEffect href="#" alt="Log Out Button">
                            <mdb-icon fas icon="sign-out-alt black-text"></mdb-icon> Log out
                        </a>

                    </div>
                </li>

            </ul>
        <!-- Links -->
        </links>
    <!-- Collapsible content -->
    </mdb-navbar>
    <!--/.Navbar-->
    <router-outlet></router-outlet>
</div>
